{
  "name": "frontend-app-course-search",
  "version": "0.2.0",
  "description": "Open edX MFE for course search",
  "author": "OpenCraft",
  "license": "AGPL-3.0",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/opencraft/dev/frontend-app-course-search.git"
  },
  "scripts": {
    "build": "fedx-scripts webpack",
    "i18n_extract": "BABEL_ENV=i18n fedx-scripts babel src --quiet > /dev/null",
    "is-es5": "es-check es5 ./dist/*.js",
    "lint": "fedx-scripts eslint src/**/*.{js,jsx}",
    "fmt": "prettier --write \"src/**/*.{js,jsx,scss}\"",
    "snapshot": "fedx-scripts jest --updateSnapshot",
    "start": "fedx-scripts webpack-dev-server --progress",
    "test": "fedx-scripts jest --coverage --passWithNoTests"
  },
  "bugs": {
    "url": "https://gitlab.com/opencraft/dev/frontend-app-course-search/-/issues"
  },
  "homepage": "https://gitlab.com/opencraft/dev/frontend-app-course-search",
  "publishConfig": {
    "access": "public"
  },
  "browserslist": [
    "last 2 versions",
    "ie 11"
  ],
  "prettier": {
    "tabWidth": 4,
    "singleQuote": true,
    "jsxSingleQuote": true
  },
  "dependencies": {
    "@edx/brand": "npm:@edx/brand-openedx@1.1.0",
    "@edx/frontend-component-footer": "10.1.1",
    "@edx/frontend-component-header": "2.2.2",
    "@edx/frontend-platform": "1.8.1",
    "@edx/paragon": "12.4.1",
    "@fortawesome/fontawesome-svg-core": "1.2.26",
    "@fortawesome/free-brands-svg-icons": "5.8.2",
    "@fortawesome/free-regular-svg-icons": "5.7.2",
    "@fortawesome/free-solid-svg-icons": "5.8.2",
    "@fortawesome/react-fontawesome": "0.1.8",
    "babel-polyfill": "6.26.0",
    "classnames": "2.2.6",
    "font-awesome": "4.7.0",
    "form-urlencoded": "4.0.1",
    "formdata-polyfill": "3.0.19",
    "history": "4.10.1",
    "lodash.camelcase": "4.3.0",
    "lodash.findindex": "4.6.0",
    "lodash.get": "4.4.2",
    "lodash.isempty": "4.4.0",
    "lodash.merge": "4.6.2",
    "lodash.omit": "4.5.0",
    "lodash.pick": "4.4.0",
    "lodash.snakecase": "4.1.1",
    "memoize-one": "5.1.1",
    "newrelic": "5.13.1",
    "prop-types": "15.7.2",
    "react": "16.10.2",
    "react-autosuggest": "10.1.0",
    "react-dom": "16.10.2",
    "react-redux": "7.1.3",
    "react-router": "5.1.2",
    "react-router-dom": "5.1.2",
    "react-router-hash-link": "1.2.2",
    "react-transition-group": "4.3.0",
    "redux": "4.0.5",
    "redux-devtools-extension": "2.13.8",
    "redux-logger": "3.0.6",
    "redux-saga": "1.1.3",
    "redux-thunk": "2.3.0",
    "reselect": "4.0.0",
    "universal-cookie": "4.0.3"
  },
  "devDependencies": {
    "@edx/frontend-build": "5.6.0",
    "@testing-library/jest-dom": "5.11.9",
    "@testing-library/react": "11.2.3",
    "axios-mock-adapter": "1.19.0",
    "codecov": "3.6.2",
    "es-check": "5.0.0",
    "glob": "7.1.6",
    "husky": "3.0.9",
    "jest-axe": "4.1.0",
    "react-test-renderer": "16.8.6",
    "reactifex": "1.1.1",
    "redux-mock-store": "1.5.4"
  }
}
